classification
Title: struni: Fix test_macostools
Type: Stage:
Components: macOS Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, jyasskin
Priority: normal Keywords: patch

Created on 2007-07-22 21:17 by jyasskin, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
macostools.diff jyasskin, 2007-07-22 21:17
Messages (2)
msg52931 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-07-22 21:17
I made Carbon.File.pathname return unicode, by analogy with macpath.abspath. There could easily be other bugs of the same sort in this file. The uses of PyString_FromString*() in particular look sketchy.
msg52932 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-07-23 17:08
Committed revision 56510.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: + Python 3.0
2007-07-22 21:17:42jyasskincreate